## mauikit-texteditor 4.0.2+p24.04+vstable+git20250901.1213

=== debian/changelog ===
mauikit-texteditor (4.0.2+p24.04+vstable+git20250901.1213-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Sep 2025 12:13:30 +0000

mauikit-texteditor (4.0.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 30 May 2025 02:26:50 +0000

mauikit-texteditor (4.0.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 02:26:40 +0000

mauikit-texteditor (4.0.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 02:26:42 +0000

mauikit-texteditor (3.1.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 02:26:42 +0000

mauikit-texteditor (3.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 26 May 2023 02:26:18 +0000

mauikit-texteditor (2.2.2) unstable; urgency=medium

  * Initial release

 -- Jonathan Riddell <jr@jriddell.org>  Tue, 04 May 2020 19:57:31 +0000
