## mauikit-texteditor 4.0.2+p24.04+vstable+git20251015.1845

=== debian/changelog ===
mauikit-texteditor (4.0.2+p24.04+vstable+git20251015.1845-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 18:45:44 +0000
