## mauikit-texteditor 4.0.2+p24.04+vstable+git20251028.1008

=== debian/changelog ===
mauikit-texteditor (4.0.2+p24.04+vstable+git20251028.1008-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:08:30 +0000
