=== debian/control ===
Source: mauikit-texteditor
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-syntax-highlighting-dev,
               mauikit-dev,
               mauiman-dev,
               ninja-build,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Homepage: https://mauikit.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/mauikit-texteditor.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/mauikit-texteditor
Maintainer: Neon CI <neon@kde.org>

Package: qml6-module-org-mauikit-texteditor
Architecture: any
Depends: libmauikit,
         libmauikittexteditor4,
         qml6-module-org-kde-kirigami2,
         qml6-module-org-kde-kquickimageeditor,
         qml6-module-org-kde-sonnet,
         qml6-module-org-maui-mauikit,
         qml6-module-qt-labs-qmlmodels,
         qml6-module-qt-labs-settings,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-shapes,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qml-module-org-mauikit-texteditor (<< 4.0.0)
Replaces: qml-module-org-mauikit-texteditor (<< 4.0.0)
Description: MauiKit Text Editor components
 This package contains the mauikit text editor component qml module.

Package: libmauikittexteditor4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libmauikittexteditor3 (<< 4.0.0)
Replaces: libmauikittexteditor3 (<< 4.0.0)
Description: MauiKit Text Editor components
 This package contains the mauikit text editor component library.

Package: libmauikittexteditor-dev
Architecture: any
Depends: libmauikittexteditor4 (= ${binary:Version}),
         qml6-module-org-mauikit-texteditor,
         qt6-base-dev,
         qt6-declarative-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: MauiKit Text Editor components
 This package contains mauikit text editor component development files.

Package: libmauikittexteditor3
Architecture: all
Depends: libmauikittexteditor4, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml-module-org-mauikit-texteditor
Architecture: all
Depends: qml6-module-org-mauikit-texteditor, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
