## mauikit-texteditor 4.0.2+p24.04+vstable+git20251231.0215

=== debian/changelog ===
mauikit-texteditor (4.0.2+p24.04+vstable+git20251231.0215-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 02:15:15 +0000
