## mauikit-texteditor 4.0.2+p24.04+vstable+git20260122.0548

=== debian/changelog ===
mauikit-texteditor (4.0.2+p24.04+vstable+git20260122.0548-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 05:48:17 +0000
