## mauikit-texteditor 4.0.2+p24.04+vstable+git20260130.0947

=== debian/changelog ===
mauikit-texteditor (4.0.2+p24.04+vstable+git20260130.0947-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:47:32 +0000
