## mauikit-texteditor 4.0.2+p24.04+vunstable+git20251208.0511

=== debian/changelog ===
mauikit-texteditor (4.0.2+p24.04+vunstable+git20251208.0511-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 05:11:15 +0000
