## mauikit-texteditor 4.0.2+p24.04+vunstable+git20260205.0806

=== debian/changelog ===
mauikit-texteditor (4.0.2+p24.04+vunstable+git20260205.0806-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 08:06:24 +0000
